module PLM
  module Model
    class User
      class << self
        def getAll(ou='*')
          res = []
          users = Plm.find :all,
          filter: "ou=#{ou}",
          sort_by: "sn",
          order: 'asc'
          users.each do |user|
            #mailMathrice = user.attribute_present?('mailMathrice') ? user.mailMathrice : ''
            res.push(user.to_hash)
          end
          res
        end
      end
      def lookup(params={})
        res = []
        if identity.user?
          offset = params.fetch(:start,0)
          limit  = params.fetch(:limit,25)
          order  = params.fetch(:dir,'ASC').downcase
          users = Plm.find :all,
          offset: offset,
          limit: limit,
          sort_by: "sn",
          order: order
          if users
            users.each do |user|
              res.push(user.to_hash)
            end
          end
        end
        res
      end
    end
  end
end
